Bug 838443 - udisksd reports error updating smart status for drive that smartctl can query successfully
udisksd reports error updating smart status for drive that smartctl can query...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udisks2 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 02:36 EDT by Stan King
Modified: 2015-03-03 18:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:28:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages excerpt with 2 examples of udisksd error message (83.17 KB, text/plain)
2012-07-09 02:36 EDT, Stan King
no flags Details
smartctl -a output for the drive that udisksd is having issues with (4.49 KB, text/plain)
2012-07-09 02:37 EDT, Stan King
no flags Details

  None (edit)
Description Stan King 2012-07-09 02:36:26 EDT
Created attachment 597003 [details]
/var/log/messages excerpt with 2 examples of udisksd error message

Description of problem:

On a system that I've recently installed Fedora 17 on, I am seeing the following message in /var/log/messages upon start-up:

udisksd[1254]: Error performing housekeeping for drive /org/freedesktop/UDisks2/drives/WDC_WD1600JB_00GVA0_WD_WCAL92984008: Error updating SMART data: sk_disk_smart_status: Input/output error (udisks-error-quark, 0)

A similar error appears when using the Disks Accessory to refresh the SMART data.

However, smartctl program can successfully read the data.

The disk, one of three in the system, has a PATA interface.  The other two drives are attached with a SATA interface, and they do not exhibit this problem.

Version-Release number of selected component (if applicable):

udisks2-1.94.0-7.fc17.x86_64

How reproducible:

Reliably.

Steps to Reproduce:
1. Boot system, look for udisksd errors in /var/log/messages
2. Or, use the Disks Accessory to refresh SMART data on that drive
3.
  
Actual results:

An error report from the udisksd daemon, as described above.

Expected results:

No errors.
Additional info:
Comment 1 Stan King 2012-07-09 02:37:53 EDT
Created attachment 597005 [details]
smartctl -a output for the drive that udisksd is having issues with
Comment 2 Fedora Admin XMLRPC Client 2013-02-04 08:16:56 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Eddie Lania 2013-03-10 08:25:12 EDT
Seeing this 0n FC18 too:

Mar 10 13:16:51 atena udisksd[1233]: Error performing housekeeping for drive /org/freedesktop/UDisks2/drives/WDC_WD740ADFD_00NLR4_WD_WMANS1564963: Error updating SMART data: sk_disk_smart_status: Input/output error (udisks-error-quark, 0)
Comment 4 Ray 2013-04-04 20:16:58 EDT
Failure from reading smartd status from WD dish has been reported:
https://bugs.freedesktop.org/show_bug.cgi?id=61998

Looks like the solution has been patched into Debian package.
Comment 5 Fedora End Of Life 2013-07-03 23:37:24 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 07:28:40 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.